// http://akelpad.sourceforge.net/forum/viewtopic.php?p=8164#8164
// Description(1033): Opens coder-plugin configuration file
// Description(1049): Открывает файл параметров Coder-плагина
// Если в аргументах не передано расширение файла, то открывается файл параметров, применённый к текущему файлу
// Version: 1.10 (2015.01.15)
// Author: VladSh

if (! AkelPad.Include("CaretSelect.js")) WScript.Quit();

var pExt = AkelPad.GetArgLine();
var coderFileName;

if (!pExt) {
	if (AkelPad.Include("CoderFunctions.js"))
		coderFileName = GetSyntaxFile(AkelPad.GetEditWnd());
	
	if (!coderFileName) {
		pExt = AkelPad.GetFilePath(AkelPad.GetEditFile(0), 4 /*CPF_FILEEXT*/);
		if (!pExt) WScript.Quit();
		coderFileName = pExt + ".coder";
	}
}
else {
	coderFileName = pExt + ".coder";
}

if (coderFileName) {
	openHelpString("\\AkelFiles\\Plugs\\Coder\\" + coderFileName, AkelPad.GetSelText(), 2);
}